Page MenuHomePhabricator

Undefined 'subtitle' and 'title' indexes in CollectionPageTemplate.php
Closed, ResolvedPublic

Description

Notice: Undefined index: subtitle in /srv/mediawiki/php-1.31.0-wmf.24/extensions/Collection/templates/CollectionPageTemplate.php on line 66
Notice: Undefined index: title in /srv/mediawiki/php-1.31.0-wmf.24/extensions/Collection/templates/CollectionPageTemplate.php on line 65

Event Timeline

Reedy created this task.Mar 14 2018, 12:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2018, 12:03 AM
MaxSem added a subscriber: MaxSem.Mar 21 2018, 6:26 PM

I think CollectionSession::getCollection() is returning a bogus empty collection.

Maybe related:

  • Notice: Undefined index: items in /srv/mediawiki/php-1.31.0-wmf.28/extensions/Collection/CollectionProposals.php on line 134
  • Notice: Undefined index: items in /srv/mediawiki/php-1.31.0-wmf.28/extensions/Collection/templates/CollectionSuggestTemplate.php on line 102

Change 434432 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/Collection@master] Fix undefined index warnings

https://gerrit.wikimedia.org/r/434432

Change 434432 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Fix undefined index warnings

https://gerrit.wikimedia.org/r/434432

Krinkle renamed this task from Undefined indexes in CollectionPageTemplate.php to Undefined 'subtitle' and 'title' indexes in CollectionPageTemplate.php.EditedJul 7 2018, 11:19 PM
Krinkle triaged this task as High priority.
Krinkle added a subscriber: Krinkle.

Apparently that didn't get them all, because it's still happening and is now one of the most common messages in the type:mediawiki channel:error log.

Actually caused a deployment to be automatically aborted by scap because a random spike of in traffic triggering the issue during the time of the deployment (otherwise unrelated).

Notice: Undefined index: subtitle in /srv/mediawiki/php-1.32.0-wmf.10/extensions/Collection/templates/CollectionPageTemplate.php on line 66
Notice: Undefined index: title in /srv/mediawiki/php-1.32.0-wmf.10/extensions/Collection/templates/CollectionPageTemplate.php on line 65

Not sure which team is the guardian for Collection, but based on last 12 months of commits and Proton development, assuming Reading-Web.

This is still the most active PHP error at the moment, and as such, any error less frequent than this one, is hard to detect and thus is allowing us to regress over time.

Krinkle lowered the priority of this task from High to Normal.Jul 31 2018, 6:36 PM
Jdlrobson added a subscriber: Jdlrobson.

Per https://m.mediawiki.org/wiki/Developers/Maintainers no team is officially supporting it. It's not reading web.

Given how common error is, I'll write a patch today though as I've got some familiarity with this code from the proton work however I'll need help reviewing it.

Change 449644 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Collection@master] Provide undefined index free access to collection

https://gerrit.wikimedia.org/r/449644

@Jdlrobson: thanks for the patch! I'll gladly review it and get it merged with the train tomorrow.

No problem. Consider merging https://gerrit.wikimedia.org/r/395115 (T189636) at same time to resolve similar problems! It's been open for almost a year now :)

Change 449796 had a related patch set uploaded (by 20after4; owner: Jdlrobson):
[mediawiki/extensions/Collection@wmf/1.32.0-wmf.15] Provide undefined index free access to collection

https://gerrit.wikimedia.org/r/449796

Change 449796 merged by jenkins-bot:
[mediawiki/extensions/Collection@wmf/1.32.0-wmf.15] Provide undefined index free access to collection

https://gerrit.wikimedia.org/r/449796

Mentioned in SAL (#wikimedia-operations) [2018-08-01T19:53:05Z] <twentyafterfour@deploy1001> Synchronized php-1.32.0-wmf.15/extensions/Collection/: Sync Change: https://gerrit.wikimedia.org/r/449796 Bug: T189636 unblocks: T191061 (duration: 00m 57s)

mmodell closed this task as Resolved.Aug 2 2018, 6:26 PM
mmodell claimed this task.

Change 449644 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Provide undefined index free access to collection

https://gerrit.wikimedia.org/r/449644